Subject: TCP over lo

From: Chuck Lever <[email-masked]>
Date: Mon, 03 May 2010 16:00:48 -0400

I've got a bug report about attempting to mount a remote NFSv4 server 
while the client's lo interface is down.

Apparently a TCP connection attempt over lo when it is DOWN results in 
ETIMEDOUT.  If I attempt a TCP connect on eth0 when it is DOWN I get 
ENETUNREACH.

Is this behavior difference by design?  Is there some other information 
I'm missing?  Just wondering how to go about addressing the issue.

Thanks in advance for advice.

-- 
chuck[dot]lever[at]oracle[dot]com